package com.memorynotfound.list;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;


import static java.util.Arrays.asList;
import static java.util.stream.Collectors.toCollection;
import static java.util.stream.Collectors.toList;
import static java.util.stream.Stream.of;

public class InitializeListExample {

    public static void main(String... args){

        List<String> planets = new ArrayList<String>();
        planets.add("Earth");
        planets.add("Mars");
        planets.add("Venus");


        List<String> p1 = asList("Earth", "Mars", "Venus");
        List<String> p2 = Arrays.asList("Earth", "Mars", "Venus");

        List<String> p3 = Collections.singletonList("Earth");

        List<String> p4 = new ArrayList<String>(Arrays.asList("Earth", "Mars", "Venus"));

        List<String> p5 = new ArrayList<String>(asList("Earth", "Mars", "Venus"));

        List<String> p6 = new ArrayList<String>() {{
            add("Earth");
            add("Mars");
            add("Venus");
        }};

        List<String> p7 = of("Earth", "Mars", "Venus").collect(toList());

        ArrayList<String> p8 = of("Earth", "Mars", "Venus").collect(toCollection(ArrayList::new));

    }
}
